summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.90.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.90.ebuild67
-rw-r--r--dev-python/freezegun/Manifest1
-rw-r--r--dev-python/freezegun/freezegun-1.5.0.ebuild35
-rw-r--r--dev-python/inflect/Manifest1
-rw-r--r--dev-python/inflect/inflect-7.2.1.ebuild30
-rw-r--r--dev-python/redis/Manifest1
-rw-r--r--dev-python/redis/redis-5.0.4.ebuild97
-rw-r--r--dev-python/uv/Manifest8
-rw-r--r--dev-python/uv/files/uv-0.1.28-skip-tests.patch144
-rw-r--r--dev-python/uv/files/uv-0.1.32-skip-tests.patch12
-rw-r--r--dev-python/uv/uv-0.1.31.ebuild109
-rw-r--r--dev-python/uv/uv-0.1.32.ebuild121
-rw-r--r--dev-python/uv/uv-0.1.33.ebuild111
-rw-r--r--dev-python/uv/uv-0.1.35.ebuild111
-rw-r--r--dev-python/virtualenv/Manifest1
-rw-r--r--dev-python/virtualenv/virtualenv-20.26.0.ebuild123
-rw-r--r--dev-python/websocket-client/Manifest1
-rw-r--r--dev-python/websocket-client/websocket-client-1.8.0.ebuild36
21 files changed, 448 insertions, 616 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index b07377d69a3f..8fd23a3d7746 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.34.79.gh.tar.gz 792796 BLAKE2B 97a4f8e6fc33bcfe2817ce353df8ff6354bc
DIST boto3-1.34.84.gh.tar.gz 796658 BLAKE2B 76ad7997f92167f1ed2f14a0a780a1a58b4a853ea132ca38797a228382ad8f55264dfaee99ebf6f8e2bea1848ec918f7b3b0943d0bb6a81b3b858e729b2e74c4 SHA512 55988d7ba69a46b986ed2cffd46b37a154baaa3a73ce62d9ee5b4b8b6f8987f714034ae4f3e59ed9907920216eaf8b18edea4c0fbac99037979b8b30e3b71133
DIST boto3-1.34.88.gh.tar.gz 798806 BLAKE2B 2d3e02f0584e138a75acb68593bd88126641d4617c668062685406d3dc1913556bdf8b821ed3deb6cd9abae40e27a5e03fda35f5824c40a8028346868776de67 SHA512 9bbff2c0589cb2dbc5ca52f224f052c2a924117f16903c2ecad32d486a8b2d31fb9253c827c5819a5203c3ac349d1c990be24a413fab7e0b9c558e1b94ed8e9e
DIST boto3-1.34.89.gh.tar.gz 799495 BLAKE2B 2d719b0c2e09f0387dbe317f76555b36fda7a1f364b02df2ba8387460e98493edec8d57d75bdf9cfd1446e00423ebad1a0ef954e05807102cb980c7321b6909b SHA512 2f9ca1c725f75a8470334449b683f5fbc77477f65e6b0d69f5549c479a2697931e3f4d3350c8f22a8e78b7e9c1401553f04f37746654988c150de9230a34acfa
+DIST boto3-1.34.90.gh.tar.gz 800389 BLAKE2B cd604cf39479af676c46b7fd1e5a8ee24e46ec384d97c50b15f80c2d96a5f46ad1c66a8a34a03ccffdf37cf386e7dcc455dc38543fc9c919f9c2b18be6e402bb SHA512 480824e36f9f118b0813b391818a4214bb1861e322099cfbc2e7f5e20a088799d2e3c1c4e745ead86dde634b2f2b46656dec872025c0d5b3b608859fc8c9d9c8
diff --git a/dev-python/boto3/boto3-1.34.90.ebuild b/dev-python/boto3/boto3-1.34.90.ebuild
new file mode 100644
index 000000000000..509842b2699d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.90.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 8ca251f1ec77..32052124fa57 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.34.79.gh.tar.gz 12882231 BLAKE2B 56d7d2a1046a164f4f64f375f608b86
DIST botocore-1.34.84.gh.tar.gz 12910232 BLAKE2B 3a9f9073e34d203f05ae44f9dc437f4d325084dbe858e59008a7b0c826c53d6e9a1911f6e9203aa476787878de88a1d8a9c1e26cedc3c34bebf6739c9bb10fce SHA512 247578e628e5ea57cfb956a10c0975d7a2caa24617e8572f90ca2a0286c75077a732328cb2dde34c937113d288c4a8a346adc074aae14dcebfa16c309d801a31
DIST botocore-1.34.88.gh.tar.gz 12931548 BLAKE2B b3cc4c44ec0fa93798e842226487f293f0206b27a1fad834ecd3d4b02319da7d6ee67fad3a3a168f6dcdf8a822cd778c742d9c975738ef3bf4d9661963a83624 SHA512 bba25daa8c93ad5454e25089c062363b97a80c1004d670be6694b898b6d7735cbb92ec816b138093c48a89fe2bf5972a6d2dcf3da2a617141a460e265e506806
DIST botocore-1.34.89.gh.tar.gz 12942425 BLAKE2B f2df9f8e1c90a55ec9c4a1695dd9d9eb4851d77d9f8a56f34df0ef34aaf580c655be726f3fb4ae3f63c7d69d73a4b3af5329f742229422712f191ddf6f028cf7 SHA512 35bdb67111d811a3b61ec23605fdca9607029102ab4873575c2901cc1075d441a27d72131365c3bc1b6fccf75336c99911f7dbe3def46a1ff4d3839fbe3f24f6
+DIST botocore-1.34.90.gh.tar.gz 12959004 BLAKE2B e80aa5ec0727db538ccbdac357431a3015494aa10da2d4a0e9ff6fb5080eaab38494933c3d3678fbf9d1266007a5edfc742b5a65a6be8e26edb8e3e11de255b5 SHA512 a6eb45e36ff189edf7915667719112279a07133ce7ef9bfe94c18c8e5ab6df4b734a00d973986f9f74ed7e475fa72461457a7633464973e720f38cf828f2ecc8
diff --git a/dev-python/botocore/botocore-1.34.90.ebuild b/dev-python/botocore/botocore-1.34.90.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.90.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/freezegun/Manifest b/dev-python/freezegun/Manifest
index 7cec7af3965a..d9dfa97e340f 100644
--- a/dev-python/freezegun/Manifest
+++ b/dev-python/freezegun/Manifest
@@ -1 +1,2 @@
DIST freezegun-1.4.0.tar.gz 31748 BLAKE2B a7ea433ea8e5f0137fc5d88a5375e3fc0e2f307a04684ab5b844168ed214fd9dd1d1ed2a0e0c91ed20ee1fc32c8e3e75fb9dc73de64723efe881e843a38269a1 SHA512 bbdad19b7fc2da9a2851d6b4c14427ccda1f2e06617993cf7173ded65cced9b98d36e1da05a2718b70653a69986cd81d84317003271eda2075177ccf63495b7a
+DIST freezegun-1.5.0.tar.gz 33167 BLAKE2B 3cf05a41c4d66ded61a67385faa07ad80348ad7620db6076f1371d1707b9f6229d85bf2f87ff3533a9529f9d6c30e5f5bcdaf0a499b1e73760070ee5706936b9 SHA512 65d3c95e4992d80c104d52e1164662308aea0884e4a0bb1343f028e514519548dd295dca7dd97d06aaa57a61c0c71fae0bd040f944936858e0f72b2a08860694
diff --git a/dev-python/freezegun/freezegun-1.5.0.ebuild b/dev-python/freezegun/freezegun-1.5.0.ebuild
new file mode 100644
index 000000000000..c1092125d020
--- /dev/null
+++ b/dev-python/freezegun/freezegun-1.5.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Let your Python tests travel through time"
+HOMEPAGE="
+ https://github.com/spulec/freezegun/
+ https://pypi.org/project/freezegun/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+RDEPEND="
+ >dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/inflect/Manifest b/dev-python/inflect/Manifest
index 2059b84209c7..8f569d0a0c25 100644
--- a/dev-python/inflect/Manifest
+++ b/dev-python/inflect/Manifest
@@ -1 +1,2 @@
DIST inflect-7.2.0.tar.gz 71448 BLAKE2B 33d7d8cf4b4de05a035e1929fd6c70c3635290cf1387927e5fe15315c06135a6b2daf6b67f044b9ea004c2345bdeb8b2f17e5f54daa9cb18f0d3bc1935295439 SHA512 13b698637a8049987675dd419359907baba6d8a9805c3602bbc414ed8fb422bfaa32ec26bcc309508ead5cb72bed632d9142f7796c981269551f1238b88c9019
+DIST inflect-7.2.1.tar.gz 71580 BLAKE2B f6256388768a850a16e79f5c59cc21bab94c65733aa4502c813e7c32c850eecf80d2148e9cb396b6fb3198004b79dc1c6dea9dbef29d5cd4e3acff25728deec3 SHA512 b994b1cb486f318f54fe73e159ffb41c637298c651e3b2ed0899659add450cd47f168e7ba242fc70dd1c177e622850409485c1671e5b89eb1f2b554d315bdf00
diff --git a/dev-python/inflect/inflect-7.2.1.ebuild b/dev-python/inflect/inflect-7.2.1.ebuild
new file mode 100644
index 000000000000..cf5792d262b4
--- /dev/null
+++ b/dev-python/inflect/inflect-7.2.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Correctly inflect words and numbers"
+HOMEPAGE="
+ https://pypi.org/project/inflect/
+ https://github.com/jaraco/inflect/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ >=dev-python/typeguard-4.0.1[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/redis/Manifest b/dev-python/redis/Manifest
index b8f7d7635546..8fee9b8f7b0f 100644
--- a/dev-python/redis/Manifest
+++ b/dev-python/redis/Manifest
@@ -1 +1,2 @@
DIST redis-py-5.0.3.gh.tar.gz 4774007 BLAKE2B f1b53319f76fd15af28941d643a333e7556f4701b46d218872a17200a867ba71c5fe72a092e00ac68ca811f41409a1e2eef05a235d2fcb6ba455cef225cd47c5 SHA512 be7158062e905ff3f61fc2b311b1288e53f494de1734dd5a58a34250754de635b9bf125900621b7b6ad8c67d8020b88ca3ae07af2626459acaf77db5f228222c
+DIST redis-py-5.0.4.gh.tar.gz 4774815 BLAKE2B a6f3b678f217a7938d1a2ecbe24058994e33a7985faf0d4b6664aa08d5095c71dc9cd1d98ee327d6ff31589795eed29ece4cdd3ce914a782e60d3ac3f44ab962 SHA512 3c4893e348632d52215096358e5b4a86b3cf5e0153e4d218c46fe77fbb61df116fc98f477f4e8ba94fe7e9bb6f964f478b1187c8b7983a71fc206f14b643965c
diff --git a/dev-python/redis/redis-5.0.4.ebuild b/dev-python/redis/redis-5.0.4.ebuild
new file mode 100644
index 000000000000..0ebac27e07d2
--- /dev/null
+++ b/dev-python/redis/redis-5.0.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+MY_P=redis-py-${PV}
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-4.0.2[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ # require extra redis modules that apparently aren't packaged
+ # on Gentoo
+ tests/{,test_asyncio/}test_bloom.py
+ tests/{,test_asyncio/}test_graph.py
+ tests/{,test_asyncio/}test_json.py
+ tests/{,test_asyncio/}test_timeseries.py
+ # apparently available only in "Redis Stack 7.2 RC3 or later"
+ tests/test_commands.py::TestRedisCommands::test_tfunction_load_delete
+ tests/test_commands.py::TestRedisCommands::test_tfunction_list
+ tests/test_commands.py::TestRedisCommands::test_tfcall
+ # TODO
+ tests/test_commands.py::TestRedisCommands::test_zrank_withscore
+ tests/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+ tests/test_commands.py::TestRedisCommands::test_xinfo_consumers
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrank_withscore
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_zrevrank_withscore
+ tests/test_asyncio/test_commands.py::TestRedisCommands::test_xinfo_consumers
+ tests/test_asyncio/test_pubsub.py::TestPubSubAutoReconnect::test_reconnect_socket_error[pool-hiredis-listen]
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ if has_version ">=dev-db/redis-7"; then
+ local extra_conf="
+ enable-debug-command yes
+ enable-module-command yes
+ "
+ fi
+
+ # Spawn Redis itself for testing purposes
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1 ::1
+ ${extra_conf}
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index b11c9576ebb1..510ceb7c9cfa 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -4,13 +4,5 @@ DIST rs-async-zip-1dcb40cfe1bf5325a6fd4bfcf9894db40241f585.gh.tar.gz 96766 BLAKE
DIST rs-async-zip-d76801da0943de985254fc6255c0e476b57c5836.gh.tar.gz 95906 BLAKE2B a5a0e4d20926d637cbfa25cb486580de6682365c588a9653c873622424ec28ac8c7380d1c99ec260cd342b214aacd5124b51fc5e5646f15f76db4148aada2f41 SHA512 dd5b61bfc913a94822d74f1dac3b30f7a3979a641c3b08ccb5fa84cfbb2bfd8c0f807a30cc4ae0abfe5df7079011c20e1f8a642fd439ce6ba2c404ddee06baf5
DIST uv-0.1.24-crates.tar.xz 64420840 BLAKE2B 7324461092a07c86aadaddf051aaa7454ec08085940f34d07d8a8dc7171abcbf94409df5cd8afd71f1022adb2e76c0aeb1eabe9190598cad4d06e390ccd612f4 SHA512 6701a768a8a1d48ac43038e5161b578b684abed1c2055cc4b7fb5656ec40118287893ee2674b7161292ce7c3e4c062c32ff0038f1548c8f79f4df473d8d26f30
DIST uv-0.1.24.gh.tar.gz 899637 BLAKE2B fab26ba9934fc5f586505b5ac1fa386c11f07e51ca2bb2a79f46d5dec9475ba8d75ad8587223d5149df5f2a225146d020a49b7ff81ed26b949cff55892738c2d SHA512 520b47a096b50fce9e7b7af5bca203df9bf4c2d0aafbe28a3dcfe0592d8ddcaa7b58d52300c67454f6aeecfd196f1592be18e45c95b7c67257361917cdb0154d
-DIST uv-0.1.31-crates.tar.xz 64759920 BLAKE2B 9404847d0a4bdaf77778fe7e75de4a6167c43a5f786357653f45f613984b2297f07a30dbd782d49ffd4f936276f2da61ecc543c6942c58ae2f3b6a5cb77212b0 SHA512 8c7440e52649b9a749d36ef5e7ed0a2be5df590d2cd6486559bc0ab289e87f5533927ddd82e86268b8cb86a41056557ec3acb3e4eface63439837243a2ab0b7a
-DIST uv-0.1.31.gh.tar.gz 938923 BLAKE2B c6be91911b557260df546bd708e572d4ea6688e40a0c978a598070e71bb989b77fdace1e5507dcc829e9e21714962c8e76ee2ec5dc95ae10a1ccaa562e4c70e7 SHA512 687f622bc93a0b4c967d53ab068d3f5442f7a3566495f89da252d3beb41a17be3dcf410f260f7e68bb1f5595f633ea61da7a68423f190d879e809c25e9e297cb
-DIST uv-0.1.32-crates.tar.xz 64975300 BLAKE2B cb07eb6ed0c65b538554cd2fdf455a25cddbefe07e3718f83820c1faf40795c0da6397a31e138c6f01dad9fb4e48dbe1a2fd4be76f1ab94f096e915d34ec1ac7 SHA512 83e208e54322d467cedd1463157d413ad8a5a6012a8d0219aa31b5213466fc4caef86a22e90bc0695811ab1f5e7428f3306a8845785f472e941a758242e775db
-DIST uv-0.1.32.gh.tar.gz 976905 BLAKE2B c59f4a76a3a9335429ddfa1a6fc96a13ba68ad2950a5664762d6b48c3dc67c78ee075ff723fd049733bc3240924a5ede522ce973ab37b44784f54322f6c8039f SHA512 fefd8cac2630c1c061a54abf5ad7bfe34f93176dd5fa69fc8ba39e6cea6a786527cd7e22481449d987dbd567ee4f59b3ef2a13620de3049f7066aaddb1ee4593
-DIST uv-0.1.33-crates.tar.xz 65532672 BLAKE2B 9e3499eef5cf746287f725ab3f2c2a35441d851ba734305abd7f8d9ebcb6bd8f857f6ec5371108cc4f1b5c9043424a3583a62093d84f596a522db59e9d50a133 SHA512 01b150770074880436db8e34ec4f2416c2948a43828ee84ca05ad1c244927022aa503b4e03b6bd525932bcde12eb961228877af232589d5c57a121cee66fb5a1
-DIST uv-0.1.33.gh.tar.gz 987063 BLAKE2B 56dfc8e7a1bfb63e0a6278499cb62ef764b4734af14bf01a213b7a11d442d4629d440ac218a4bc2750405c402236b382b07560919211b51c300e07c3c15a9496 SHA512 a05a38f8c1abc572ad2c6823f74a2c076ad267636f5f435f04bf8a02b059c25b82b5fa3b5250137d4077ff721294b34c6d2d57ac0e0c907e211e8cfdcdc8169c
-DIST uv-0.1.35-crates.tar.xz 65640928 BLAKE2B 97135ce844dc7af3c424a9b8ea7419b4c392e44a87ab960e59401f0075308001287fc42acd9bc21b300fba3d73fa65e292b55e612b92db05cad183577866a7d8 SHA512 7d862992d2ea92acaa24758cb5425b3053941e1312db1f27ee318049ac68fcd64dc614ba7fa21521cdb9ad11545cc5e8dcc2a2781f0164297229f35768e0776e
-DIST uv-0.1.35.gh.tar.gz 1010370 BLAKE2B 0b07f4de6d07969d8721f94b3d21e2797b8425f26db5744f7ee2a90ed3769f3d8245552d8b8db6d8716e45dc88461a9543419191a4b71497019862860d76e728 SHA512 08f224b317d5aa3d9941ee0add791340f41a01e70d2a4e1e9b986e501d666a40e1a04bdeb2120e178bbedb2a91501e608d240a9ac56f509021d6377c278fbfcc
DIST uv-0.1.36-crates.tar.xz 65852268 BLAKE2B f9dac75dc992d37c54554c25e0ce0895aa017753a6688754acee5b6a99822e0f55923a539fcd67a8d30332abf1d2b2ed333b8b1125eef5061da2d8f57307004b SHA512 c0dd2171416333f8267592c75699fd35f686d04b3b81241e51cbf4b9f8d1e0def54ab9336b2e62e1fb5e40d3ad73146eba7dd6c0093fa23230d23c4fa73d8f74
DIST uv-0.1.36.gh.tar.gz 1018114 BLAKE2B c57a3362940803df34f45c0dd2bcc176fb4928d1b0c168adc89d150ffb59a39d0fb57b41c063485a7c324a2101b9f4334cf29e175f910122842f893c6be9970a SHA512 39a4ec3b17803a13a53f331185bfb4fa321f9ee2c158828ad9f88aa7214ee72a58a87dcef74eaeac7a1e3a989909f0d50a457431ce22a72703db0e8c3fc4a6c2
diff --git a/dev-python/uv/files/uv-0.1.28-skip-tests.patch b/dev-python/uv/files/uv-0.1.28-skip-tests.patch
deleted file mode 100644
index 037ac6addb99..000000000000
--- a/dev-python/uv/files/uv-0.1.28-skip-tests.patch
+++ /dev/null
@@ -1,144 +0,0 @@
-diff --git a/crates/uv/tests/pip_compile.rs b/crates/uv/tests/pip_compile.rs
-index 281c8b7f..19df83c2 100644
---- a/crates/uv/tests/pip_compile.rs
-+++ b/crates/uv/tests/pip_compile.rs
-@@ -5509,3 +5509,2 @@ fn expand_env_var_requirements_txt() -> Result<()> {
- /// Raise an error when an editable's `Requires-Python` constraint is not met.
--#[test]
- fn requires_python_editable() -> Result<()> {
-@@ -5763,3 +5762,2 @@ fn no_stream() -> Result<()> {
- /// Raise an error when a direct URL dependency's `Requires-Python` constraint is not met.
--#[test]
- fn requires_python_direct_url() -> Result<()> {
-diff --git a/crates/uv/tests/pip_install.rs b/crates/uv/tests/pip_install.rs
-index ee987fb0..a73e2f25 100644
---- a/crates/uv/tests/pip_install.rs
-+++ b/crates/uv/tests/pip_install.rs
-@@ -952,3 +952,2 @@ fn install_no_index_version() {
- /// Ref: <https://github.com/astral-sh/uv/issues/1600>
--#[test]
- fn install_extra_index_url_has_priority() {
-@@ -2362,3 +2361,2 @@ requires-python = ">=3.11,<3.13"
- /// Raise an error when an editable's `Requires-Python` constraint is not met.
--#[test]
- fn requires_python_editable() -> Result<()> {
-@@ -2811,3 +2809,2 @@ fn dry_run_install_then_upgrade() -> std::result::Result<(), Box<dyn std::error:
- /// Raise an error when a direct URL's `Requires-Python` constraint is not met.
--#[test]
- fn requires_python_direct_url() -> Result<()> {
-diff --git a/crates/uv/tests/pip_install_scenarios.rs b/crates/uv/tests/pip_install_scenarios.rs
-index e9e85a94..353b3c62 100644
---- a/crates/uv/tests/pip_install_scenarios.rs
-+++ b/crates/uv/tests/pip_install_scenarios.rs
-@@ -2246,3 +2246,2 @@ fn post_greater_than_or_equal_post() {
- /// ```
--#[test]
- fn post_less_than_or_equal() {
-@@ -2285,3 +2284,2 @@ fn post_less_than_or_equal() {
- /// ```
--#[test]
- fn post_less_than() {
-@@ -2322,3 +2320,2 @@ fn post_less_than() {
- /// ```
--#[test]
- fn post_local_greater_than() {
-@@ -2363,3 +2360,2 @@ fn post_local_greater_than() {
- /// ```
--#[test]
- fn post_local_greater_than_post() {
-@@ -2531,3 +2527,2 @@ fn post_greater_than_post_not_available() {
- /// ```
--#[test]
- fn package_only_prereleases() {
-@@ -3654,3 +3649,2 @@ fn package_prereleases_specifier_boundary() {
- /// ```
--#[test]
- fn python_version_does_not_exist() {
-@@ -3696,3 +3690,2 @@ fn python_version_does_not_exist() {
- /// ```
--#[test]
- fn python_less_than_current() {
-@@ -3738,3 +3731,2 @@ fn python_less_than_current() {
- /// ```
--#[test]
- fn python_greater_than_current() {
-@@ -3780,3 +3772,2 @@ fn python_greater_than_current() {
- /// ```
--#[test]
- fn python_greater_than_current_patch() {
-@@ -3944,3 +3935,2 @@ fn python_greater_than_current_backtrack() {
- /// ```
--#[test]
- fn python_greater_than_current_excluded() {
-diff --git a/crates/uv/tests/pip_list.rs b/crates/uv/tests/pip_list.rs
-index 9b545ee2..5b202b9c 100644
---- a/crates/uv/tests/pip_list.rs
-+++ b/crates/uv/tests/pip_list.rs
-@@ -101,3 +101,2 @@ fn list_single_no_editable() -> Result<()> {
-
--#[test]
- fn list_editable() {
-@@ -153,3 +152,2 @@ fn list_editable() {
-
--#[test]
- fn list_editable_only() {
-@@ -241,3 +239,2 @@ fn list_editable_only() {
-
--#[test]
- fn list_exclude() {
-diff --git a/crates/uv/tests/pip_sync.rs b/crates/uv/tests/pip_sync.rs
-index 7964d2cc..e0a14a91 100644
---- a/crates/uv/tests/pip_sync.rs
-+++ b/crates/uv/tests/pip_sync.rs
-@@ -1423,3 +1423,2 @@ fn install_git_source_dist_cached() -> Result<()> {
- /// Check that we show the right messages on cached, registry source distribution installs.
--#[test]
- fn install_registry_source_dist_cached() -> Result<()> {
-@@ -2920,3 +2919,2 @@ fn compile_invalid_pyc_invalidation_mode() -> Result<()> {
- /// Raise an error when an editable's `Requires-Python` constraint is not met.
--#[test]
- fn requires_python_editable() -> Result<()> {
-@@ -2988,3 +2986,2 @@ fn no_stream() -> Result<()> {
- /// Raise an error when a direct URL dependency's `Requires-Python` constraint is not met.
--#[test]
- fn requires_python_direct_url() -> Result<()> {
-diff --git a/crates/uv/tests/venv.rs b/crates/uv/tests/venv.rs
-index 94e79ae7..f79ea4e6 100644
---- a/crates/uv/tests/venv.rs
-+++ b/crates/uv/tests/venv.rs
-@@ -76,3 +76,2 @@ impl VenvTestContext {
-
--#[test]
- fn create_venv() {
-@@ -118,3 +117,2 @@ fn create_venv() {
-
--#[test]
- fn create_venv_defaults_to_cwd() {
-@@ -139,3 +137,2 @@ fn create_venv_defaults_to_cwd() {
-
--#[test]
- fn seed() {
-@@ -163,3 +160,2 @@ fn seed() {
-
--#[test]
- fn seed_older_python_version() {
-@@ -255,3 +251,2 @@ fn create_venv_unknown_python_patch() {
-
--#[test]
- fn create_venv_python_patch() {
-@@ -278,3 +273,2 @@ fn create_venv_python_patch() {
-
--#[test]
- fn file_exists() -> Result<()> {
-@@ -307,3 +301,2 @@ fn file_exists() -> Result<()> {
-
--#[test]
- fn empty_dir_exists() -> Result<()> {
-@@ -334,3 +327,2 @@ fn empty_dir_exists() -> Result<()> {
-
--#[test]
- fn non_empty_dir_exists() -> Result<()> {
-@@ -408,3 +400,2 @@ fn windows_shims() -> Result<()> {
-
--#[test]
- fn virtualenv_compatibility() {
diff --git a/dev-python/uv/files/uv-0.1.32-skip-tests.patch b/dev-python/uv/files/uv-0.1.32-skip-tests.patch
deleted file mode 100644
index dd672fdd16cf..000000000000
--- a/dev-python/uv/files/uv-0.1.32-skip-tests.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff --git a/crates/uv/tests/pip_sync.rs b/crates/uv/tests/pip_sync.rs
-index 7cecbba5..f7385dbf 100644
---- a/crates/uv/tests/pip_sync.rs
-+++ b/crates/uv/tests/pip_sync.rs
-@@ -1396,7 +1396,6 @@ fn install_git_source_dist_cached() -> Result<()> {
- }
-
- /// Check that we show the right messages on cached, registry source distribution installs.
--#[test]
- fn install_registry_source_dist_cached() -> Result<()> {
- let context = TestContext::new("3.12");
-
diff --git a/dev-python/uv/uv-0.1.31.ebuild b/dev-python/uv/uv-0.1.31.ebuild
deleted file mode 100644
index 24a6f44759c7..000000000000
--- a/dev-python/uv/uv-0.1.31.ebuild
+++ /dev/null
@@ -1,109 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;c26e485213e39582c6f2e4d45c0328422670e7a7;pubgrub-%commit%'
-)
-
-inherit cargo check-reqs
-
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- CRATE_P=${P}
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- dev-libs/libgit2:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.77
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_prepare() {
- local PATCHES=(
- # skip broken tests:
- # - requiring pinned CPython versions (3.8.12, 3.11.7, 3.12.1)
- # - requiring specific terminal width (COLUMNS don't seem to work)
- # - other (perhaps failing because of other skipped tests?)
- "${FILESDIR}/uv-0.1.28-skip-tests.patch"
- )
-
- rm crates/uv/tests/pip_compile_scenarios.rs || die
- default
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/uv/uv-0.1.32.ebuild b/dev-python/uv/uv-0.1.32.ebuild
deleted file mode 100644
index 7287532bc9ca..000000000000
--- a/dev-python/uv/uv-0.1.32.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;c26e485213e39582c6f2e4d45c0328422670e7a7;pubgrub-%commit%'
-)
-
-inherit cargo check-reqs
-
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- CRATE_P=${P}
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- dev-libs/libgit2:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.77
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_prepare() {
- local PATCHES=(
- # skip broken test
- # https://github.com/astral-sh/uv/issues/3051
- "${FILESDIR}/uv-0.1.32-skip-tests.patch"
- )
-
- default
-}
-
-src_configure() {
- local myfeatures=(
- # from upstream defaults
- flate2/zlib-ng
- python
- pypi
- git
- maturin
- # skip tests that require specific patch version of the interpreter:
- # python-patch
- )
-
- cargo_src_configure --no-default-features
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/uv/uv-0.1.33.ebuild b/dev-python/uv/uv-0.1.33.ebuild
deleted file mode 100644
index 793b60d2c541..000000000000
--- a/dev-python/uv/uv-0.1.33.ebuild
+++ /dev/null
@@ -1,111 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;c26e485213e39582c6f2e4d45c0328422670e7a7;pubgrub-%commit%'
-)
-
-inherit cargo check-reqs
-
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- CRATE_P=${P}
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- dev-libs/libgit2:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.77
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_configure() {
- local myfeatures=(
- # from upstream defaults
- flate2/zlib-ng
- python
- pypi
- git
- maturin
- # skip tests that require specific patch version of the interpreter:
- # python-patch
- )
-
- cargo_src_configure --no-default-features
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/uv/uv-0.1.35.ebuild b/dev-python/uv/uv-0.1.35.ebuild
deleted file mode 100644
index 793b60d2c541..000000000000
--- a/dev-python/uv/uv-0.1.35.ebuild
+++ /dev/null
@@ -1,111 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-CRATES="
-"
-
-declare -A GIT_CRATES=(
- [async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
- [pubgrub]='https://github.com/astral-sh/pubgrub;c26e485213e39582c6f2e4d45c0328422670e7a7;pubgrub-%commit%'
-)
-
-inherit cargo check-reqs
-
-DESCRIPTION="A Python package installer and resolver, written in Rust"
-HOMEPAGE="
- https://github.com/astral-sh/uv/
- https://pypi.org/project/uv/
-"
-# pypi sdist misses scripts/, needed for tests
-SRC_URI="
- https://github.com/astral-sh/uv/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
- ${CARGO_CRATE_URIS}
-"
-if [[ ${PKGBUMPING} != ${PVR} ]]; then
- CRATE_P=${P}
- SRC_URI+="
- https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
- "
-fi
-
-# most of the code
-LICENSE="|| ( Apache-2.0 MIT )"
-# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
-# Dependent crate licenses
-LICENSE+="
- 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
- MPL-2.0 Unicode-DFS-2016
-"
-# ring crate
-LICENSE+=" openssl"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
-IUSE="test"
-RESTRICT="test"
-PROPERTIES="test_network"
-
-DEPEND="
- dev-libs/libgit2:=
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- >=virtual/rust-1.77
- test? (
- dev-lang/python:3.8
- dev-lang/python:3.9
- dev-lang/python:3.10
- dev-lang/python:3.11
- dev-lang/python:3.12
- )
-"
-
-QA_FLAGS_IGNORED="usr/bin/.*"
-
-check_space() {
- local CHECKREQS_DISK_BUILD=3G
- use debug && CHECKREQS_DISK_BUILD=9G
- check-reqs_pkg_setup
-}
-
-pkg_pretend() {
- check_space
-}
-
-pkg_setup() {
- check_space
-}
-
-src_configure() {
- local myfeatures=(
- # from upstream defaults
- flate2/zlib-ng
- python
- pypi
- git
- maturin
- # skip tests that require specific patch version of the interpreter:
- # python-patch
- )
-
- cargo_src_configure --no-default-features
-}
-
-src_compile() {
- cd crates/uv || die
- cargo_src_compile
-}
-
-src_test() {
- cd crates/uv || die
- cargo_src_test --no-fail-fast
-}
-
-src_install() {
- cd crates/uv || die
- cargo_src_install
-}
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 50d706709787..2b912c8249e4 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,3 +1,4 @@
DIST virtualenv-20.25.1.tar.gz 7152341 BLAKE2B 7d3ecaca89cb4106f97fb5565331b257017d756742f9c90972a01a86296e81d509d2f4a7869d3bc7a299c1c2f01cc08999eddc258f1bd46acf88999d0732794e SHA512 c0791de2aed7893658316199696906b1aed650460f3b53e0dbd13e695d16bc14d8974cd72fc8dcc010ff7ba10036121929ce9a608f97d7d2cd9f972144a3a1f0
DIST virtualenv-20.25.2.tar.gz 7289618 BLAKE2B 9217dadaa00521b5109a7efdaadd99663898931aee57d34e1fae0484cf997cb06d7a6f87bd971802fae9539435eae69c4f3f4f6a5e0771d08926fd8151ec0810 SHA512 080fe3b02d08f9c55a2eea7b68022de935e0887826d52511c768ef4fb72b0278d99413f5f08288fd22c5925d362588af0afbbf7f2c51dcc47c8bce1485d6ae19
DIST virtualenv-20.25.3.tar.gz 7289627 BLAKE2B 9edd92a238af78d4178f7c7b553f4b86206815fad3cd5f257b9fe35552835ab916849a07e06248f880335dc9a356364154ea689c08d64274eab4df36a81c05db SHA512 3933ed6dfa393a2f6cb6f996d8830f60204d5bf8953d61726afc5cc9b079bd1723c3e9044e33d3a584725ba80b93d9ac5a5d11c7304d0234303ce49c33ca1a9e
+DIST virtualenv-20.26.0.tar.gz 7290025 BLAKE2B 4f468d5e81ca9d5f1578406cc24651db69f7ca6a8fcff32192d8d7bcd8f5df07b978b1d7a1e5ba53091f4eb7f177d814159cd8fc7a658153e5ba16855fa7d215 SHA512 f2b108ca04cd70d46ba52f793b51a5d0fbf3fdc7459b003e9ebe945e1d2645073c11cffa5269ce4f8aca422499addca2ed5966bf0df2fcda84d1eaf4d0646a70
diff --git a/dev-python/virtualenv/virtualenv-20.26.0.ebuild b/dev-python/virtualenv/virtualenv-20.26.0.ebuild
new file mode 100644
index 000000000000..e08eca12f45f
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.26.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/distlib-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.12.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.9.1[${PYTHON_USEDEP}]
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/pip-22.2.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/pytest-freezer-0.4.6[${PYTHON_USEDEP}]
+ ' pypy3)
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.8[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_TIMEOUT=180
+distutils_enable_tests pytest
+
+src_prepare() {
+ # workaround test failures due to warnings from setuptools-scm, sigh
+ echo '[tool.setuptools_scm]' >> pyproject.toml || die
+
+ # remove useless pins
+ sed -i -e 's:<[0-9.]*,::' pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ tests/unit/activation/test_xonsh.py
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ tests/unit/create/test_creator.py::test_cross_major
+ # tests failing without python2 installed
+ "tests/unit/create/test_creator.py::test_py_pyc_missing[True-False]"
+ "tests/unit/create/test_creator.py::test_py_pyc_missing[False-False]"
+ )
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+ 'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+ 'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+ 'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+ )
+ ;;
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/unit/create/via_global_ref/test_build_c_ext.py
+ )
+ ;&
+ python3.11)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/unit/discovery/py_info/test_py_info.py::test_fallback_existent_system_executable
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x TZ=UTC
+ local plugins=( -p flaky -p pytest_mock )
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ plugins+=( -p freezegun )
+ else
+ plugins+=( -p time_machine )
+ fi
+ epytest "${plugins[@]}" -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index f56eca8485e1..4b6d25266e14 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1 +1,2 @@
DIST websocket-client-1.7.0.tar.gz 54037 BLAKE2B 6a37b17c0a428dfacfd441384469954bc30f5ca5cf8380c08b45337ebdd69999cbd14eb0f0cde3c33d2f5c2698dac9a34eb51430bb810ab6edf8130415e98a4b SHA512 1f6b3253f7febd053e1271bcacd71701ec27d6921ba9791b16a203c8b7240925284e033dba4ad5d4c56a88568dc57ecb760c254964bc3bb4e87df52573239a9a
+DIST websocket_client-1.8.0.tar.gz 54648 BLAKE2B 8fb21148f7d5dfc9e16704560dbcd64c96f4d28ed8382dc0b3427c3b472bb2e1b386d9026ce4c1b91b50d8e7828f8d4ca34e1537797b20f63150d86337db97c6 SHA512 d41dbd4695adcad14142db048b291eed9367153101853e3e17ee8448aa4be9d20bd91b62707291e2b093ce969d51aeef16ceae7330734b5a1556023d773c5a85
diff --git a/dev-python/websocket-client/websocket-client-1.8.0.ebuild b/dev-python/websocket-client/websocket-client-1.8.0.ebuild
new file mode 100644
index 000000000000..49e1cb5e99db
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-1.8.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="
+ https://github.com/websocket-client/websocket-client/
+ https://pypi.org/project/websocket-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+BDEPEND="
+ test? (
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}